com.trendmicro.ds.platform.rest.object

## Enum Action.Type

- java.lang.Object
- - java.lang.Enum<Action.Type>
  - - com.trendmicro.ds.platform.rest.object.Action.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Action.Type>
  Enclosing class:
    Action

      public static enum Action.Type
      extends java.lang.Enum<Action.Type>

  The types of actions available to tasks.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVATE` Activate the Deep Security Agent on the computer that triggered the task.
    `ASSIGN_GROUP` Assign the computer that triggered the task to a host group.
    `ASSIGN_POLICY` Assign a policy to the computer that triggered the task.
    `ASSIGN_RELAY` Assign a Deep Security Relay to the computer that triggered the task.
    `DEACTIVATE` Deactivate the Deep Security Agent on the computer that triggered the task.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Action.Type` | `fromValue(int value)`
    `static Action.Type` | `fromValue(java.lang.String value)`
    `int` | `getIntValue()`
    `java.lang.String` | `getValue()`
    `static Action.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Action.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVATE

          public static final Action.Type ACTIVATE

      Activate the Deep Security Agent on the computer that triggered the task.

    - #### ASSIGN_POLICY

          public static final Action.Type ASSIGN_POLICY

      Assign a policy to the computer that triggered the task.

      This action requires a parameter. The parameter value is the policy identifier for the policy that will be assigned to the computer.

    - #### ASSIGN_RELAY

          public static final Action.Type ASSIGN_RELAY

      Assign a Deep Security Relay to the computer that triggered the task.

      This action requires a parameter. The parameter value is the relay identifier for the relay that will be assigned to the computer.

    - #### ASSIGN_GROUP

          public static final Action.Type ASSIGN_GROUP

      Assign the computer that triggered the task to a host group.

      This action requires a parameter. The parameter value is the host group identifier for the host group that the computer will be assigned to.

    - #### DEACTIVATE

          public static final Action.Type DEACTIVATE

      Deactivate the Deep Security Agent on the computer that triggered the task.

  - ### Method Detail

    - #### values

          public static Action.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Action.Type c : Action.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Action.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### getIntValue

          public int getIntValue()

    - #### fromValue

          public static Action.Type fromValue(java.lang.String value)

    - #### fromValue

          public static Action.Type fromValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.